Debian Bug report logs - #473722
aptitude: patch to fix bugs in manpage.xml source

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: "Michael(tm) Smith" <mike@w3.org>

Date: Tue, 1 Apr 2008 08:27:02 UTC

Severity: important

Tags: patch

Found in version aptitude/0.4.10-1+b2

Fixed in version aptitude/0.4.11.2-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert <daniel.leidert@wgdd.de>, Daniel Burrows <dburrows@debian.org>:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <mike@w3.org>:
New Bug report received and forwarded. Copy sent to Daniel Leidert <daniel.leidert@wgdd.de>, Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <mike@w3.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: patch to fix bugs in manpage.xml source
Date: Tue, 1 Apr 2008 17:23:48 +0900
Package: aptitude
Version: 0.4.10-1+b2
Severity: important
Tags: patch
Source: aptitude

Some of the DocBook markup in list items in the doc/en/manpage.xml
source file is not valid and can't be processed properly by the
DocBook XSL stylesheets, resulting in broken display of those
parts of the aptitude.8 man page.

The problem in the DocBook source is that there are instances
where a <listitem> instance has text child content. That's not
valid. The patch below fixes the problems by wrapping the text in
<simpara> instances. <para> could also be used if you prefer.

diff -r 9050a3ecc8ec doc/en/manpage.xml
--- a/doc/en/manpage.xml	Sun Mar 30 13:23:49 2008 -0700
+++ b/doc/en/manpage.xml	Tue Apr 01 16:53:01 2008 +0900
@@ -952,14 +952,14 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-new-upgrades</literal></term>
 
 	<listitem>
-	  When the safe resolver is being used (i.e., <link
+	  <simpara>When the safe resolver is being used (i.e., <link
 	  linkend='cmdlineSafeResolver'><literal>--safe-resolver</literal></link>
 	  was passed or <link
 	  linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
 	  is set to <literal>true</literal>), allow the dependency
 	  resolver to install upgrades for packages even if <link
 	  linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Upgrades</literal></link>
-	  is set.
+	  is set.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -967,7 +967,7 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-new-installs</literal></term>
 
 	<listitem>
-	  Allow the <link
+	  <simpara>Allow the <link
 	  linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>
 	  command to install new packages; when the safe resolver is
 	  being used (i.e., <link
@@ -978,7 +978,7 @@ i A texlive-latex-extra Conflicts textop
 	  resolver to install new packages.  This option takes effect
 	  even if <link
 	  linkend='configSafe-Resolver-No-New-Installs'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>
-	  is true.
+	  is true.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -986,9 +986,9 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-untrusted</literal></term>
 
 	<listitem>
-	  Install packages from untrusted sources without prompting.
+	  <simpara>Install packages from untrusted sources without prompting.
 	  You should only use this if you know what you are doing, as
-	  it could easily compromise your system's security.
+	  it could easily compromise your system's security.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -1108,14 +1108,14 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--no-new-upgrades</literal></term>
 
 	<listitem>
-	  When the safe resolver is being used (i.e., <link
+	  <simpara>When the safe resolver is being used (i.e., <link
 	  linkend='cmdlineSafeResolver'><literal>--safe-resolver</literal></link>
 	  was passed or <link
 	  linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
 	  is set to <literal>true</literal>), allow the dependency
 	  resolver to install new packages even if <link
 	  linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>
-	  is set.
+	  is set.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -2131,4 +2131,4 @@ The following packages will be REMOVED:
       <citerefentry><refentrytitle>apt</refentrytitle><manvolnum>8</manvolnum></citerefentry>
     </para>
   </refsect1>
-</refentry>
\ No newline at end of file
+</refentry>

-- Package-specific info:
Terminal: xterm
$DISPLAY is set.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable'), (70, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.7-6 0.7.11         Advanced front-end for dpkg
ii  libc6                     2.7-6          GNU C Library: Shared libraries
ii  libcwidget1               0.5.6.1-3      high-level terminal interface libr
ii  libgcc1                   1:4.3.0-1      GCC support library
ii  libncursesw5              5.6+20080203-1 Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a        2.0.18-2       type-safe Signal Framework for C++
ii  libstdc++6                4.3.0-1        The GNU Standard C++ Library v3

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
pn  libparse-debianchangelog-perl <none>     (no description available)

-- no debconf information

-- 
Michael(tm) Smith
http://people.w3.org/mike/
http://sideshowbarker.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <mike@w3.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 473722@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <mike@w3.org>
To: 473722@bugs.debian.org
Subject: aptitude man pages added to regression tests for DocBook XSL stylesheets
Date: Tue, 1 Apr 2008 19:12:25 +0900
I meant to mention in my report that I'm the maintainer of the
man-page stylesheet in the DocBook XSL Stylesheets distribution,
and the reason I came across the problems in the aptitude
manpage.xml source is that I was in the process of adding the
aptitude man-page sources to the set of sources I use for
regression testing when I make updates to the manpages stylesheet.

So, FWIW, I have an area for aptitude set up in the DocBook
Project source repository:

  https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/contrib/samples/refentry/aptitude

It's just a makefile plus the patch; I run the makefile to check
out the latest aptitude sources and build the docs against the
changes to the manpage stylesheet in my workspace.

  --Mike

-- 
Michael(tm) Smith
http://people.w3.org/mike/
http://sideshowbarker.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <mike@w3.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #15 received at 473722@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <mike@w3.org>
To: 473722@bugs.debian.org
Subject: updated patch
Date: Tue, 1 Apr 2008 19:36:59 +0900
[Message part 1 (text/plain, inline)]
Here's an update to the patch for this bug report. This fixes on
additional minor problem: An x-ref that had a typo in the value of
ID it links to (should be configCmdLine-Verbose instead of
configCmdLineVerbose).

diff -r 9050a3ecc8ec manpage.xml
--- manpage.xml	Sun Mar 30 13:23:49 2008 -0700
+++ manpage.xml	Tue Apr 01 19:22:22 2008 +0900
@@ -952,14 +952,14 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-new-upgrades</literal></term>
 
 	<listitem>
-	  When the safe resolver is being used (i.e., <link
+	  <simpara>When the safe resolver is being used (i.e., <link
 	  linkend='cmdlineSafeResolver'><literal>--safe-resolver</literal></link>
 	  was passed or <link
 	  linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
 	  is set to <literal>true</literal>), allow the dependency
 	  resolver to install upgrades for packages even if <link
 	  linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Upgrades</literal></link>
-	  is set.
+	  is set.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -967,7 +967,7 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-new-installs</literal></term>
 
 	<listitem>
-	  Allow the <link
+	  <simpara>Allow the <link
 	  linkend='manpageSafeUpgrade'><literal>safe-upgrade</literal></link>
 	  command to install new packages; when the safe resolver is
 	  being used (i.e., <link
@@ -978,7 +978,7 @@ i A texlive-latex-extra Conflicts textop
 	  resolver to install new packages.  This option takes effect
 	  even if <link
 	  linkend='configSafe-Resolver-No-New-Installs'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>
-	  is true.
+	  is true.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -986,9 +986,9 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--allow-untrusted</literal></term>
 
 	<listitem>
-	  Install packages from untrusted sources without prompting.
+	  <simpara>Install packages from untrusted sources without prompting.
 	  You should only use this if you know what you are doing, as
-	  it could easily compromise your system's security.
+	  it could easily compromise your system's security.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -1108,14 +1108,14 @@ i A texlive-latex-extra Conflicts textop
 	<term><literal>--no-new-upgrades</literal></term>
 
 	<listitem>
-	  When the safe resolver is being used (i.e., <link
+	  <simpara>When the safe resolver is being used (i.e., <link
 	  linkend='cmdlineSafeResolver'><literal>--safe-resolver</literal></link>
 	  was passed or <link
 	  linkend='configAlways-Use-Safe-Resolver'><literal>Aptitude::Always-Use-Safe-Resolver</literal></link>
 	  is set to <literal>true</literal>), allow the dependency
 	  resolver to install new packages even if <link
 	  linkend='configSafe-Resolver-No-New-Upgrades'><literal>Aptitude::Safe-Resolver::No-New-Installs</literal></link>
-	  is set.
+	  is set.</simpara>
 	</listitem>
       </varlistentry>
 
@@ -1452,7 +1452,7 @@ The following NEW packages will be insta
           <para>
 	    When combined with <literal>-v</literal> or a non-zero
 	    value for <link
-	    linkend='configCmdLineVerbose'><literal>Aptitude::CmdLine::Verbose</literal></link>,
+	    linkend='configCmdLine-Verbose'><literal>Aptitude::CmdLine::Verbose</literal></link>,
 	    this displays the entire chain of dependencies that lead
 	    each package to be installed.  For instance:
 	  </para>
@@ -2131,4 +2131,4 @@ The following packages will be REMOVED:
       <citerefentry><refentrytitle>apt</refentrytitle><manvolnum>8</manvolnum></citerefentry>
     </para>
   </refsect1>
-</refentry>
\ No newline at end of file
+</refentry>

  --Mike

-- 
Michael(tm) Smith
http://people.w3.org/mike/
http://sideshowbarker.net/
[patch.smith.manpage.xml.2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 473722@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: "Michael(tm) Smith" <mike@w3.org>, 473722@bugs.debian.org
Subject: Re: Bug#473722: aptitude man pages added to regression tests for DocBook XSL stylesheets
Date: Tue, 01 Apr 2008 06:50:32 -0700
On Tue, Apr 01, 2008 at 07:12:25PM +0900, "Michael(tm) Smith" <mike@w3.org> was heard to say:
> I meant to mention in my report that I'm the maintainer of the
> man-page stylesheet in the DocBook XSL Stylesheets distribution,
> and the reason I came across the problems in the aptitude
> manpage.xml source is that I was in the process of adding the
> aptitude man-page sources to the set of sources I use for
> regression testing when I make updates to the manpages stylesheet.

  Thanks for the patch.  Do you know any way to tell nxml-mode that it's
editing a file that will be included into another XML file as an entity?
The manpage is set up to work that way for the convenience of
translators, and it means that I lose the ability to have my editor
validate against the schema (which would catch things like this).

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <mike@w3.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #25 received at 473722@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <mike@w3.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: 473722@bugs.debian.org
Subject: Re: Bug#473722: aptitude man pages added to regression tests for DocBook XSL stylesheets
Date: Wed, 2 Apr 2008 16:24:16 +0900
[Message part 1 (text/plain, inline)]
Hi Daniel,

> @2008-04-01 06:50 -0700:
> Thanks for the patch.

Thanks for your reply, and sorry for my delay in responding.

> Do you know any way to tell nxml-mode that it's editing a file
> that will be included into another XML file as an entity?

There's no way to do that, as far as I know.

> The manpage is set up to work that way for the convenience of
> translators, and it means that I lose the ability to have my editor
> validate against the schema (which would catch things like this).

When you say you lose the ability to have it validate against the
schema, do you mean the problem of it flagging all the entities
(&VERSION;, &aptitude;, etc.) as errors? (because of the issue of
the definitions for those entities being not being in the
manpage.xml file itself, but in the parent XML file).

If that's the main issue, I realize that's a problem but it seems
like it doesn't completely prevent you from being able to do
validated editing of the manpage.xml file in nxml-mode.

What I mean is, nxml-mode will still flag any other errors in the
manpage.xml file. If I open the (unpatched) manpage.xml file in
nxml-mode, with the schema set to DocBook, and I try to add text
somewhere after a listitem (without a para or simpara), it does
immediately flag it as an error. So it seems like it does actually
still give you the ability to catch that kind of error in real
time as you're editing the file (in spite of the file not being a
"standalone" document).

  --Mike
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 473722@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: "Michael(tm) Smith" <mike@w3.org>, 473722@bugs.debian.org
Subject: Re: Bug#473722: aptitude man pages added to regression tests for DocBook XSL stylesheets
Date: Wed, 02 Apr 2008 06:22:28 -0700
On Wed, Apr 02, 2008 at 04:24:16PM +0900, "Michael(tm) Smith" <mike@w3.org> was heard to say:
> Hi Daniel,
> 
> > @2008-04-01 06:50 -0700:
> > Thanks for the patch.
> 
> Thanks for your reply, and sorry for my delay in responding.
> 
> > Do you know any way to tell nxml-mode that it's editing a file
> > that will be included into another XML file as an entity?
> 
> There's no way to do that, as far as I know.
> 
> > The manpage is set up to work that way for the convenience of
> > translators, and it means that I lose the ability to have my editor
> > validate against the schema (which would catch things like this).
> 
> When you say you lose the ability to have it validate against the
> schema, do you mean the problem of it flagging all the entities
> (&VERSION;, &aptitude;, etc.) as errors? (because of the issue of
> the definitions for those entities being not being in the
> manpage.xml file itself, but in the parent XML file).

  Yes, that's part of it; it means that I can't check that I've fixed
all the real errors by using nxml's valid/invalid indicator.  The other
part, though, is that nxml doesn't know I'm editing a DocBook file, so
it doesn't flag things like not placing <para> between a <listitem> and
the text it contains.  It does at least check that the XML is
well-formed (so it complains if I, e.g., don't balance my tags out), but
none of the more semantic checks are performed.

  You mentioned having the schema "set" to DocBook.  I went through the
nxml-mode help yesterday and didn't see a way to do that; is there an
Emacs function I have to call to set the schema manually?

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#473722; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Michael(tm) Smith" <mike@w3.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #35 received at 473722@bugs.debian.org (full text, mbox):

From: "Michael(tm) Smith" <mike@w3.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: 473722@bugs.debian.org
Subject: Re: Bug#473722: aptitude man pages added to regression tests for DocBook XSL stylesheets
Date: Thu, 3 Apr 2008 12:03:30 +0900
[Message part 1 (text/plain, inline)]
Daniel Burrows <dburrows@debian.org>, 2008-04-02 06:22 -0700:

> On Wed, Apr 02, 2008 at 04:24:16PM +0900, "Michael(tm) Smith" <mike@w3.org> was heard to say:
> > When you say you lose the ability to have it validate against the
> > schema, do you mean the problem of it flagging all the entities
> > (&VERSION;, &aptitude;, etc.) as errors? (because of the issue of
> > the definitions for those entities being not being in the
> > manpage.xml file itself, but in the parent XML file).
> 
>   Yes, that's part of it; it means that I can't check that I've fixed
> all the real errors by using nxml's valid/invalid indicator.

Yeah, that part I don't think there's any good fix for,
unfortunately. Schema languages (RELAXNG and W3C XML Schema) don't
really support entities. You have to use an "internal DTD subset"
in each document in order to be use them at all (which then screws
with trying to include those same files by (system entity)
reference into another (parent) doc.

> The other
> part, though, is that nxml doesn't know I'm editing a DocBook file, so
> it doesn't flag things like not placing <para> between a <listitem> and
> the text it contains.

Ah, OK. That at least I know there's a way to handle.

> It does at least check that the XML is
> well-formed (so it complains if I, e.g., don't balance my tags out), but
> none of the more semantic checks are performed.

yeah, I understand what you mean now. I should have read your
original mail more carefully...

>   You mentioned having the schema "set" to DocBook.  I went through the
> nxml-mode help yesterday and didn't see a way to do that; is there an
> Emacs function I have to call to set the schema manually?

The way to do it is a bit opaque/arcane (as is most Emacs stuff I
guess), but there is a way at least:

You need to set the value of the "rng-schema-locating-files"
variable to include the path to a file that contains a custom
"locating rule" that tells Emacs to how to do associations of
files to particular schemas. One way to set that is by including
the following in your .emacs:

  (setq rng-schema-locating-files
    (append
      '("~/locatingrules.xml") rng-schema-locating-files-default))

Then, create a ~/locatingrules.xml file (of course you can name
the file whatever you want and put it wherever you want) with the
following content:

  <locatingRules xmlns="http://thaiopensource.com/ns/locating-rules/1.0">
    <documentElement prefix="" localName="refentry" typeId="DocBook"/>
  </locatingRules>

That tells nxml-mode that any file which has a refentry element as
its root element should be validated against the DocBook schema.

With the file in place and with the rng-schema-locating-files
variable set to point it, nxml-mode should automatically set the
schema for the manpage.xml file to "DocBook" when you load it.

If the above doesn't work for you, definitely let me know.

  --Mike

P.S. FWIW, there's a system-wide file installed along nxml-mode
that has a default set of locating rules:

  /usr/share/emacs/site-lisp/nxml-mode/schema/schemas.xml

-- 
Michael(tm) Smith
http://people.w3.org/mike/
http://sideshowbarker.net/
[locatingrules.xml (application/xml, attachment)]

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Michael(tm) Smith" <mike@w3.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 473722-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 473722-close@bugs.debian.org
Subject: Bug#473722: fixed in aptitude 0.4.11.2-1
Date: Sat, 12 Apr 2008 15:17:04 +0000
Source: aptitude
Source-Version: 0.4.11.2-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.2-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.2-1_i386.deb
aptitude-doc-cs_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.2-1_all.deb
aptitude-doc-en_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.2-1_all.deb
aptitude-doc-fi_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.2-1_all.deb
aptitude-doc-fr_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.2-1_all.deb
aptitude-doc-ja_0.4.11.2-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.2-1_all.deb
aptitude_0.4.11.2-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.2-1.diff.gz
aptitude_0.4.11.2-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.2-1.dsc
aptitude_0.4.11.2-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.2-1_i386.deb
aptitude_0.4.11.2.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Apr 2008 19:25:35 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.2-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 454088 473719 473722 473872 474115 474672 486186
Changes: 
 aptitude (0.4.11.2-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - Fix XML errors in the manpage source. (Closes: #473722)
 .
     - Don't crash if a package's Section field is empty. (Closes: #474115)
 .
     - Rewrite the status information to avoid the need for choosing
       between the singular and plural forms of verbs. (Closes: #486186)
 .
     - Added "why" and "why-not" to the output of "--help". (Closes: #454088)
 .
     - Use a different technique to migrate "Recommends-Important" to
       "Install-Recommends" that doesn't overwrite the old option; instead
       the option "Aptitude::Ignore-Recommends-Important" is set to "true"
       when the setting is migrated; if this option is set, then
       Recommends-Important is ignored.
 .
       This should be better for people who share configuration files
       between machines. (Closes: #473872)
 .
     - Translation updates:
       * Galician (Closes: #474672)
       * Vietnamese (Closes: #473719)
Checksums-Sha1: 
 f18f969bf7d5bfe348b2b471bc132aa9489b6c84 1382 aptitude_0.4.11.2-1.dsc
 ebc28940ee3c7cb6ad354b4bde7a027a7165d946 5598315 aptitude_0.4.11.2.orig.tar.gz
 1796783c1e1eae7e5605f688ed640ba5d442305c 34726 aptitude_0.4.11.2-1.diff.gz
 6cec20ba41ee156f391f86602a32f7d9b024ea16 344328 aptitude-doc-cs_0.4.11.2-1_all.deb
 dcdfa39b061f13c8e0f993a9b3fdb4111741e241 351032 aptitude-doc-en_0.4.11.2-1_all.deb
 4ce6460024f3c84f324182820dc10277429a0b2d 262844 aptitude-doc-fi_0.4.11.2-1_all.deb
 808e747416b48c6437d23fb907e03bc10268ea8c 296348 aptitude-doc-fr_0.4.11.2-1_all.deb
 0752b4ba7926374a6c6e7c3d7f20fcca32588407 361656 aptitude-doc-ja_0.4.11.2-1_all.deb
 16638041871d4906974cbb38071c7fa15cf39bc4 2775568 aptitude_0.4.11.2-1_i386.deb
 726ff12f71cd50d7ecb1e1d8f30a50bb4f477d7b 6751434 aptitude-dbg_0.4.11.2-1_i386.deb
Checksums-Sha256: 
 2afffd6e1bf84a42548488fb0a9313109bd61ffaa6cb0960635d7d6a96a468ef 1382 aptitude_0.4.11.2-1.dsc
 ba14f2b357618ad29c089ac85e4ad4e92c69ff0276b56e5a5c8d2e03d36d3991 5598315 aptitude_0.4.11.2.orig.tar.gz
 1cf3f775bb5ed16b4b426695b8b7af2a1d56c0130c002751f4c2f9089431d211 34726 aptitude_0.4.11.2-1.diff.gz
 8c037cd6528294b80af78d913a4acf34441688b8503d6b7346051b87e2a020a8 344328 aptitude-doc-cs_0.4.11.2-1_all.deb
 17708da8054a9eae69a8d229fa5751e7a4de08c995cba43bfeab2ea4a1aaad5e 351032 aptitude-doc-en_0.4.11.2-1_all.deb
 4ae600eac8886807e7b54762f64a03623f52ff80212c08200f32f8a6469a5923 262844 aptitude-doc-fi_0.4.11.2-1_all.deb
 98bbbccf6050795eee5bc30f82b168ce67dcff12a636b8aa0b9521e901c6e0f6 296348 aptitude-doc-fr_0.4.11.2-1_all.deb
 d6f644bb3c3d8aa3a4f83e9c0f837aaaa7ebf06db39df21d0f007a178a61d50f 361656 aptitude-doc-ja_0.4.11.2-1_all.deb
 e211a1205cf861bc2702426d14d0ab62b3d45287089adcb40cc05e1c85ef5525 2775568 aptitude_0.4.11.2-1_i386.deb
 3e9d9fdd4a7e79bbec2dcb558c800b8f6e67e7aaf1d7d3aab319fdda9a5ef175 6751434 aptitude-dbg_0.4.11.2-1_i386.deb
Files: 
 ecaee59d6ebb0d5e314f67a9995905c8 1382 admin - aptitude_0.4.11.2-1.dsc
 cc76875e6cdc29399eb7241ec7c0ca11 5598315 admin - aptitude_0.4.11.2.orig.tar.gz
 36ac4ffe0d5db114f07c6b6205ac3b98 34726 admin - aptitude_0.4.11.2-1.diff.gz
 b8958f0121a8d6b10faebeff880db259 344328 doc optional aptitude-doc-cs_0.4.11.2-1_all.deb
 41bb4dd1351e3f79b765516f1f40a9e1 351032 doc optional aptitude-doc-en_0.4.11.2-1_all.deb
 28c5e6479347d1f3f0e4fc7a440bd81c 262844 doc optional aptitude-doc-fi_0.4.11.2-1_all.deb
 37832823e4b97dfb5477106215ab5f6a 296348 doc optional aptitude-doc-fr_0.4.11.2-1_all.deb
 350018dbcad430c724d808390faa6c57 361656 doc optional aptitude-doc-ja_0.4.11.2-1_all.deb
 0f16fb96aac333efd32f1a39f3d6bc77 2775568 admin important aptitude_0.4.11.2-1_i386.deb
 768c64984b1c757b0c367eed01ea9d3c 6751434 devel extra aptitude-dbg_0.4.11.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIAM2nch6xsM7kSXgRAougAJ0Y7ilru1LmDbUd0VcS0ZPCVTu/eQCcDIrm
cdR4TYnfm97Z5Sd32pxpffE=
=4Qcx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 May 2008 07:46:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:55:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.